---
title: Delete
url: https://docs.vultr.com/products/network/vpc-networks/management/delete
description: Permanently removes the selected resource from your Vultr account.
publish_date: 2024-09-23T20:22:08.768093Z
last_updated: 2026-05-26T20:02:00.223696Z
---

# How to Delete a VPC Network from a Vultr Account

Deleting a Virtual Private Cloud (VPC) network removes routing information and deactivates the associated interfaces on any attached instances.

Follow this guide to delete a VPC network using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products**, expand the **Network** drop-down and select **VPC Networks** from the list of options.
    1. Select your target VPC network to open its management page.
    1. Click **Delete VPC Network**.
    1. Click **Delete VPC Network** in the confirmation prompt to destroy the VPC network.

=== "Vultr API"

    1. Send a `GET` request to the [**List VPCs** endpoint](https://www.vultr.com/api/#tag/VPCs/operation/list-vpcs) and note the target VPC network's ID in your output.

        ```console
        $ curl "https://api.vultr.com/v2/vpcs" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `DELETE` request to the [**Delete a VPC** endpoint](https://www.vultr.com/api/#tag/VPCs/operation/delete-vpc) to destroy the target VPC network.

        ```console
        $ curl "https://api.vultr.com/v2/vpcs/{vpc-id}" \
          -X DELETE \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

=== "Vultr CLI"

    1. List all VPC networks in your Vultr account and note the target VPC network's ID.

        ```console
        $ vultr-cli vpc list
        ```

    1. Delete the VPC network.

        ```console
        $ vultr-cli vpc delete <vpc-id>
        ```

=== "Terraform"

    1. Open your Terraform configuration where the VPC is defined.

    1. Remove the `vultr_vpc` resource block, or destroy it by target.

        ```terraform
        resource "vultr_vpc" "net" {
            region      = "ewr"
            description = "example-vpc"
        }

        # To delete, either remove this block from configuration
        # or run: terraform destroy -target vultr_vpc.net
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 0 added, 0 changed, 1 destroyed.
        ```
